package net.sourceforge.jenesis4java;

/**
 * Copyright (C) 2008, 2010 Richard van Nieuwenhoven - ritchie [at] gmx [dot] at
 * Copyright (C) 2000, 2001 Paul Cody Johnston - pcj@inxar.org <br>
 * This file is part of Jenesis4java. Jenesis4java is free software: you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.<br>
 * Jenesis4java is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.<br>
 * You should have received a copy of the GNU Lesser General Public License
 * along with Jenesis4java. If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * <code>Statement</code> subinterface for a general container of expressions
 * such as assignments, method invocations, field acesses, etc...
 */
public interface ExpressionStatement extends Statement {

    /**
     * Gets the <code>Expression</code> for this <code>Statement</code>.
     */
    Expression getExpression();

    /**
     * Sets the <code>Expression</code> for this <code>Statement</code>. Note
     * that not all expressions are suitable for standalone statements. See the
     * java lang spec for details.
     */
    ExpressionStatement setExpression(Expression e);
}
